# Uses of Class
it.tdlight.jni.TdApi.InputStoryContent

## Uses of TdApi.InputStoryContent in it.tdlight.jni

Subclasses of TdApi.InputStoryContent in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InputStoryContentPhoto`
A photo story.
`static final class`
`TdApi.InputStoryContentVideo`
A video story.
Fields in it.tdlight.jni declared as TdApi.InputStoryContent
Modifier and Type
Field
Description
`TdApi.InputStoryContent`
TdApi.EditStory.`content`
New content of the story; pass null to keep the current content.
`TdApi.InputStoryContent`
TdApi.SendStory.`content`
Content of the story.
Constructors in it.tdlight.jni with parameters of type TdApi.InputStoryContent
Modifier
Constructor
Description
``
`EditStory(long storySenderChatId, int storyId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption)`
Changes content and caption of a story.
``
`SendStory(long chatId, TdApi.InputStoryContent content, TdApi.InputStoryAreas areas, TdApi.FormattedText caption, TdApi.StoryPrivacySettings privacySettings, int activePeriod, TdApi.StoryFullId fromStoryFullId, boolean isPinned, boolean protectContent)`
Sends a new story to a chat; requires canPostStories right for supergroup and channel chats.